Skip to main content
POST
/
v1
/
tasks
/
{task_id}
/
reopen
Reopen Task
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/tasks/{task_id}/reopen', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reopened_at": "2023-11-07T05:31:56Z",
  "reopen_reason": "REMINDER_RULE",
  "skipped_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings โ†’ Developers.

Path Parameters

task_id
string<uuid>
required

ID of the task.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

organization_id
string<uuid>
required

Workspace this task belongs to.

type
enum<string>
required

What kind of task this is.

Available options:
EMAIL_REPLY,
LINKEDIN_REPLY,
NEW_LEAD_REVIEW,
CALL
priority
enum<string>
required

Task priority bucket.

Available options:
HOT,
TODAY,
EXTRA
status
enum<string>
required

Current lifecycle state.

Available options:
PENDING,
IN_PROGRESS,
COMPLETED,
SKIPPED
sequence_id
string<uuid>
required

Sequence run this task was projected from.

assignee_user_id
string<uuid> | null
required

User the task is assigned to, if any.

disposition
enum<string> | null
required

Outcome for call tasks once executed.

Available options:
ANSWERED,
VOICEMAIL_LEFT,
NO_ANSWER
reopened_at
string<date-time> | null
required

When the task was last reopened, if ever.

reopen_reason
enum<string> | null
required

Why the task was reopened, if applicable.

Available options:
REMINDER_RULE
skipped_at
string<date-time> | null
required

When the task was skipped, if applicable.

completed_at
string<date-time> | null
required

When the task was completed, if applicable.

created_at
string<date-time>
required

When the task was created.

updated_at
string<date-time>
required

When the task last changed.